terminfo-0.3.2.5: Haskell bindings to the terminfo library.

Portability | portable (FFI)
Stability | experimental
Maintainer | judah.jacobson@gmail.com
Safe Haskell | Safe

System.Console.Terminfo.Edit

Description

Synopsis

- clearScreen :: Capability (LinesAffected -> TermOutput)
- clearBOL :: TermStr s => Capability s
- clearEOL :: TermStr s => Capability s
- clearEOS :: Capability (LinesAffected -> TermOutput)

# Documentation

clearScreen :: Capability (LinesAffected -> TermOutput)Source

Clear the screen, and move the cursor to the upper left.

clearBOL :: TermStr s => Capability sSource

Clear from beginning of line to cursor.

clearEOL :: TermStr s => Capability sSource

Clear from cursor to end of line.

clearEOS :: Capability (LinesAffected -> TermOutput)Source

Clear display after cursor.